CHICKEN-PROFILE(1)

NAME
chicken-profile - generate a report from profile-information

SYNOPSIS
chicken-profile [ filename | option ... ]

OPTIONS

-sort-by-calls
    Sort output by call frequency.

-sort-by-time
    Sort output by procedure execution time.

-sort-by-avg
    Sort output by average procedure execution time.

-sort-by-name
    Sort output alphabetically by procedure name.

-no-unused
    Remove procedures that are never called.

-help
    Show usage information.

DESCRIPTION
chicken-profile reads in profiling information generated by CHICKEN Scheme programs compiled with the -profile option, and generates a table listing function names and their execution times.

BUGS
Submit bug reports by e-mail to chicken-janitors@nongnu.org

AUTHORS
The CHICKEN Team

SEE ALSO
chicken(1) csc(1)